Package org.eclipse.core.databinding.beans

# Interface IBeanMapProperty<S,K,V>

Type Parameters:
  `S` - type of the source object
  `K` - type of the keys to the map
  `V` - type of the values in the map

All Superinterfaces:
  `IBeanProperty`, `IMapProperty<S,K,V>`, `IProperty`

public interface IBeanMapProperty<S,K,V> extends IBeanProperty, IMapProperty<S,K,V>
An `IMapProperty` extension interface with convenience methods for creating nested bean properties.

Since:
  1.2
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`<V2> IBeanMapProperty<S,K,V2>`
`values(String propertyName)`
Returns a master-detail combination of this property and the specified value property.
`<V2> IBeanMapProperty<S,K,V2>`
`values(String propertyName, Class<V2> valueType)`
Returns a master-detail combination of this property and the specified value property.
`<V2> IBeanMapProperty<S,K,V2>`
`values(IBeanValueProperty<? super V,V2> property)`
Returns a master-detail combination of this property and the specified value property.

### Methods inherited from interface org.eclipse.core.databinding.beans.IBeanProperty

`getPropertyDescriptor`

### Methods inherited from interface org.eclipse.core.databinding.property.map.IMapProperty

`getKeyType, getMap, getValueType, mapFactory, mapFactory, observe, observe, observeDetail, setMap, updateMap, values`

## Method Details

### values

<V2> IBeanMapProperty<S,K,V2> values(String propertyName)
Returns a master-detail combination of this property and the specified value property.

Parameters:
  `propertyName` - the value property to observe. May be nested e.g. "parent.name"
Returns:
  a master-detail combination of this property and the specified value property.
See Also:
  - `values(IBeanValueProperty)`

### values

<V2> IBeanMapProperty<S,K,V2> values(String propertyName, Class<V2> valueType)
Returns a master-detail combination of this property and the specified value property.

Parameters:
  `propertyName` - the value property to observe. May be nested e.g. "parent.name"
  `valueType` - the value type of the named property
Returns:
  a master-detail combination of this property and the specified value property.
See Also:
  - `values(IBeanValueProperty)`

### values

<V2> IBeanMapProperty<S,K,V2> values(IBeanValueProperty<? super V,V2> property)
Returns a master-detail combination of this property and the specified value property. The returned property will observe the specified value property for all `values` observed by this map property, mapping from this map property's `key set` to the specified value property's value for each element in the master property's `values` collection.

Parameters:
  `property` - the detail property to observe
Returns:
  a master-detail combination of this property and the specified value property.